summaryrefslogtreecommitdiffstats
path: root/debian/tests/zebra-lo
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-09 13:16:36 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-09 13:16:36 +0000
commit7128f60963e2a90b202a701ca40b532323770208 (patch)
treee0cafdc1e23d465dd4e128f858110cb3bb225065 /debian/tests/zebra-lo
parentAdding upstream version 9.1. (diff)
downloadfrr-7128f60963e2a90b202a701ca40b532323770208.tar.xz
frr-7128f60963e2a90b202a701ca40b532323770208.zip
Adding debian version 9.1-0.1.debian/9.1-0.1
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'debian/tests/zebra-lo')
-rwxr-xr-xdebian/tests/zebra-lo16
1 files changed, 16 insertions, 0 deletions
diff --git a/debian/tests/zebra-lo b/debian/tests/zebra-lo
new file mode 100755
index 0000000..2a388d5
--- /dev/null
+++ b/debian/tests/zebra-lo
@@ -0,0 +1,16 @@
+#!/bin/sh
+set -e
+
+# should have been started on install, but policy may have inhibited that
+service frr status >/dev/null || service frr restart
+
+# these should be running by default
+pgrep watchfrr
+pgrep zebra
+pgrep staticd
+
+# check vtysh works at all
+vtysh -c 'show version'
+
+# check zebra is properly talking to the kernel
+vtysh -c 'show interface lo' | grep -q LOOPBACK